#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	File
%define		pnam	Find-Rule
Summary:	File::Find::Rule - alternative interface to File::Find
Summary(pl.UTF-8):	File::Find::Rule - alternatywny interfejs dla modułu File::Find
Name:		perl-File-Find-Rule
Version:	0.33
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/File/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	92c6cb88549c30f5665e39bf80f3d704
URL:		http://search.cpan.org/dist/File-Find-Rule/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Number-Compare
BuildRequires:	perl-Test-Simple
BuildRequires:	perl-Text-Glob >= 0.07
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
File::Find::Rule Perl module is a friendlier interface to File::Find.
It allows you to build rules which specify the desired files and
directories.

%description -l pl.UTF-8
Moduł Perla File::Find::Rule stanowi bardziej przyjazny interfejs do
modułu File::Find. Umożliwia on tworzenie reguł określających wymagane
pliki i katalogi.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# get rid of pod documentation
%{__rm} $RPM_BUILD_ROOT%{perl_vendorlib}/File/Find/Rule/*.pod

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%attr(755,root,root) %{_bindir}/findrule
%dir %{perl_vendorlib}/File/Find
%{perl_vendorlib}/File/Find/Rule.pm
# for modules based on File::Find::Rule
%dir %{perl_vendorlib}/File/Find/Rule
%{_mandir}/man1/findrule.1p*
%{_mandir}/man3/File::Find::Rule*.3pm*
%changelog
* Sun Mar 08 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-File-Find-Rule.git;a=log;h=master

* Sun Mar 08 2015 Jakub Bogusz <qboosh@pld-linux.org> 6c1dabb
- own File/Find/Rule dir for other packages; release 2

* Sun Feb 05 2012 Jakub Bogusz <qboosh@pld-linux.org> 2555413
- unified Source URL

* Wed Jan 11 2012 zbyniu <zbyniu@pld-linux.org> c66dbe7
- up to 0.33

* Fri Mar 04 2011 Jakub Bogusz <qboosh@pld-linux.org> b77bd20
- updated to 0.32

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 207f96a
- release 2

* Mon Mar 24 2008 Jakub Bogusz <qboosh@pld-linux.org> 77946be
- generic URL

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 259c4f9
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 106109a
- converted to UTF-8

* Mon Jun 26 2006 maciek2w <maciek2w@pld-linux.org> 0aa7859
- updated to 0.30

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> b5b5ff7
- formatting

* Tue Nov 02 2004 Adam Gołębiowski <adamg@pld-linux.org> 8ddaa53
- get rid of pod documentation
- release 3

* Sat Jun 05 2004 radek <radek@pld-linux.org> d9238c4
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

* Sun May 23 2004 Adam Gołębiowski <adamg@pld-linux.org> 739aac0
- updated to 0.28

* Fri May 07 2004 ankry <ankry@pld-linux.org> 70023d3
- rel. 2

* Thu May 06 2004 ankry <ankry@pld-linux.org> 44ad69d
- fixed perl-devel BR

* Tue Apr 20 2004 ankry <ankry@pld-linux.org> 205ce6b
- license fixes / unification

* Thu Feb 26 2004 Jakub Bogusz <qboosh@pld-linux.org> c25c752
- updated to 0.27
- pass perl= to Build, so script will use it instead of version-dependent path

* Sun Nov 16 2003 migo <migo@pld-linux.org> b813661
- up to 0.26

* Sun Nov 09 2003 migo <migo@pld-linux.org> 458c657
- up to 0.25, added "findrule" program

* Tue Oct 07 2003 migo <migo@pld-linux.org> cfdc543
- up to 0.24
- new bcond style
- switch to Module::Build, cleanup

